Bug 1006739 - ISE when viewing Solaris patches in Spacewalk
ISE when viewing Solaris patches in Spacewalk
Status: CLOSED WONTFIX
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2013-09-11 04:28 EDT by Michael Mráka
Modified: 2017-09-28 14:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-30 13:06:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2013-09-11 04:28:09 EDT
Description of problem:

 When browsing to Systems -> Select a Solaris x86 box -> Software ->
 Patches, an ISE is reported.  The Tomcat and PostgreSQL logs are
 below.

(https://www.redhat.com/archives/spacewalk-list/2012-September/msg00064.html)

Version-Release number of selected component (if applicable):
spacewalk-java

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
> 2012-09-17 09:07:45,345 [TP-Processor5] ERROR
> com.redhat.rhn.common.db.datasource.CachedStatement - Error while
> processing cached statement sql: SELECT PN.id as ID,
>         PN.id || '|' || PE.id AS ID_COMBO,
>        PN.name || '-' || evr_t_as_vre_simple(PE.evr) AS NVRE,
>        PN.name AS name,
>        PE.version,
>        PE.release,
>        PE.epoch,
>        PN.id AS NAME_ID,
>        PE.id AS EVR_ID,
>          nvl( (select spt.name                 from rhnSolarisPatchType spt,
>                     rhnSolarisPatch RSP,
>                           rhnPackage p
>               where RSP.package_id = p.id
>           and P.name_id = SP.name_id
>                 and P.evr_id = SP.evr_id
>                 and P.package_arch_id = SP.package_arch_id
>                 and RSP.patch_type = spt.id),
>                 'unknown') as PATCH_TYPE
> FROM  rhnPackageName PN,
>          rhnPackageEVR PE,
>          rhnServerPackage SP
> WHERE SP.server_id = ?
>   AND  SP.name_id = PN.id
>   AND  SP.evr_id = PE.id
>   AND  EXISTS ( SELECT  1
>                   FROM  rhnPackageArch PA,
>                         rhnArchType AT
>                  WHERE  PA.id = SP.package_arch_id
>                    AND  AT.id = PA.arch_type_id
>                    AND  AT.label = 'solaris-patch' )
> ORDER BY UPPER(PN.name), UPPER(evr_t_as_vre_simple(PE.evr))
> com.redhat.rhn.common.db.WrappedSQLException: ERROR: more than one row
> returned by a subquery used as an expression


Expected results:


Additional info:
https://www.redhat.com/archives/spacewalk-list/2012-November/msg00196.html
https://www.redhat.com/archives/spacewalk-list/2013-January/msg00177.html
https://www.redhat.com/archives/spacewalk-list/2013-February/msg00019.html
Comment 2 Grant Gainey 2015-03-30 13:06:43 EDT
With the release of Spacewalk 2.3, Solaris support has been removed.  Closing.
Comment 3 Eric Herget 2017-09-28 14:08:14 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.